#!/bin/sh
export PATH=":${PATH:-"/usr/bin:/bin:/usr/local/bin"}"
export LD_LIBRARY_PATH=":${LD_LIBRARY_PATH:-"/mnt/utmp/untahris/libs:/usr/lib:/lib"}"
export HOME="/mnt/utmp/untahris" XDG_CONFIG_HOME="/mnt/utmp/untahris"

export SDL_AUDIODRIVER="alsa"
cd $HOME

if [ -e /usr/pandora/scripts/op_nubchange.sh ]; then
        NUB0=`cat /proc/pandora/nub0/mode`
        NUB1=`cat /proc/pandora/nub1/mode`
        /usr/pandora/scripts/op_nubchange.sh absolute absolute
        ./untahris
        /usr/pandora/scripts/op_nubchange.sh $NUB0 $NUB1
else
        NUB0=`cat /proc/pandora/nub0/mode`
        NUB1=`cat /proc/pandora/nub1/mode`
        echo absolute > /proc/pandora/nub0/mode
        echo absolute > /proc/pandora/nub1/mode
        ./untahris
        echo $NUB0 > /proc/pandora/nub0/mode
        echo $NUB1 > /proc/pandora/nub1/mode
fi

